import React, { FunctionComponent } from 'react';

type ICardProp = {
    style?: React.CSSProperties,

    onClick?: (event: React.MouseEvent) => void;
}

const Card: FunctionComponent<ICardProp> = ({ style, onClick, children }) => {
    return (
        <>
        <style jsx>{`
        .card {
            display: flex;
            flex-direction: column;
            height: auto;
            justify-content: center;
            align-items: center;
            padding: 50px;
            text-align: center;
            background: white;
            border-radius: 15px;
            box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.1);
            cursor: ${onClick ? 'pointer' : 'default'};
        }
        `}</style>

        <div className="card" style={style} onClick={onClick}>
            {children}
        </div>
        </>
    )
}

export default Card;