import React, { FunctionComponent } from 'react';

import { IContainerProp } from './';


interface ICenteringContainerProp extends IContainerProp {
    
}

const CenteringContainer: FunctionComponent<ICenteringContainerProp> = ({ id, children }) => {
    return (
        <>
        <style jsx>{`
            .centeringcontainer {
                width: 100%;
                height: 100%;
                display: flex;
                flex-shrink: 1;
                flex-direction: column;
                align-items: center;
                justify-content: center;
            }
        `}</style>

        <div id={id} className="centeringcontainer">
            {children}
        </div>
        </>
    );
}

export default CenteringContainer;