import React, { FunctionComponent } from 'react';

import { IContainerProp } from './';


interface IFullPageContainerProp extends IContainerProp {
    background?: string;
}

const FullPageContainer: FunctionComponent<IFullPageContainerProp> = ({ id, background, children }) => {
    return (
        <>
        <style jsx>{`
            .fullpagecontainer {
                width: 100%;
                height: 100vh;
                background: ${background};
            }
        `}</style>

        <div id={id} className="fullpagecontainer">
            {children}
        </div>
        </>
    );
}

export default FullPageContainer;