import React, { FunctionComponent } from 'react';

type IFlexColumnProp = {
    style?: React.CSSProperties
}

const FlexColumn: FunctionComponent<IFlexColumnProp> = ({ style, children }) => {
    return (
        <>
        <style jsx>{`
            .flex-column {
                flex-grow: 1;
                flex-shrink: 1;
                flex-basis: 300px;
                width: 100%;
            }
        `}</style>

        <div className="flex-column" style={style}>
            {children}
        </div>
        </>
    );
}

export default FlexColumn;