import React, { FunctionComponent } from 'react';


const FlexColumnContainer: FunctionComponent = ({ children }) => {
    return (
        <>
        <style jsx>{`
            .flex-column-container {
                display: block;
                width: 100%;
            }

            @media only screen and (min-width: 500px) {
                .flex-column-container {
                    display: flex;
                    flex-direction: row;
                    flex-wrap: wrap;
                }
            }
        `}</style>

        <div className="flex-column-container">
            {children}
        </div>
        </>
    );
}

export default FlexColumnContainer;