import React, { FunctionComponent } from 'react';


type IGridColumnProp = {
    position: 'left' | 'right';

    style?: React.CSSProperties;
}

const GridColumn: FunctionComponent<IGridColumnProp> = ({ position, style, children }) => {
    return (
        <>
        <style jsx>{`
            .grid-column {
                flex: 0 1 50%;
                padding-right: ${position === 'left' ? '15px' : 0};
                padding-left: ${position === 'right' ? '15px' : 0};
            }
        `}</style>

        <div className="grid-column" style={style}>
            {children}
        </div>
        </>
    );
}

export default GridColumn;