import React, { FunctionComponent } from 'react';


type IGridRowProp = {
    style?: React.CSSProperties;
}

const GridRow: FunctionComponent<IGridRowProp> = ({ style, children }) => {
    return (
        <>
        <style jsx>{`
            .grid-row {
                display: flex;
                justify-content: space-between;
            }
        `}</style>

        <div className="grid-row" style={style}>
            {children}
        </div>
        </>
    );
}

export default GridRow;