import React, { FunctionComponent } from 'react';

type IDropdownButtonMenuItemProp = {
    text: string;
    textColor?: string;
    backgroundColor?: string;
    onClick: (event: React.MouseEvent) => void;
}

const DropdownButtonMenuItem: FunctionComponent<IDropdownButtonMenuItemProp> = ({ text, textColor, backgroundColor, onClick }) => {
    return (
        <>
        <style jsx>{`
            .dropdown-button-menu-item {
                padding: 10px 20px;
                cursor: pointer;
                white-space: nowrap;
            }

            .dropdown-button-menu-item:hover {
                background-color: ${backgroundColor};
                color: ${textColor};
            }
        `}</style>

        <li className="dropdown-button-menu-item" onClick={onClick}>
            {text}
        </li>
        </>
    )
}

export default DropdownButtonMenuItem;