import React, { FunctionComponent } from 'react';

import { Navbar, NavbarBox, NavbarBrand, NavbarGroup, NavbarLink } from '../nav';

import theme from '../../styles/theme';

import { UITab } from '@felixbaum/me.easymove.common/dist/enums/ui';


const UserLayout: FunctionComponent = ({ children }) => {

    return (
        <>
        <style jsx global>{`
            body {
                height: 100vh;
                background-image: ${theme.colors.gradientBackground};
                background-attachment: fixed;
            }
        `}</style>

        <Navbar>
            <NavbarBox position="left">
                <NavbarBrand href="/user/addresses" text="EasyMove."/>

                <div style={{ marginLeft: '70px' }}>
                    <NavbarGroup>
                        <NavbarLink href="/user/addresses" activePage={UITab.USER_ADDRESSES}>
                            Adressen
                        </NavbarLink>

                        <NavbarLink href="/user/subscribers" style={{ marginLeft: '50px' }} activePage={UITab.USER_SUBSCRIBERS}>
                            Abonnenten
                        </NavbarLink>

                        <NavbarLink href="/user/notifications" style={{ marginLeft: '50px' }} activePage={UITab.USER_MESSAGES}>
                            Nachrichten
                        </NavbarLink>
                    </NavbarGroup>
                </div>
            </NavbarBox>

            <NavbarBox position="right">
                <NavbarLink href="/user/settings" activePage={UITab.USER_SETTINGS}>
                    Einstellungen
                </NavbarLink>
            </NavbarBox>
        </Navbar>

        <div style={{ paddingTop: '70px' }}>
            {children}
        </div>
        </>
    );
};

export default UserLayout;