import React, {FunctionComponent} from 'react';

import theme from '../../styles/theme';


type IMenuBackButtonProp = {
    text: string;
    textColor: string;
    onBackButtonClick?: () => void;
}

const MenuBackButton: FunctionComponent<IMenuBackButtonProp> = ({ text, textColor, onBackButtonClick }) => {
    return (
        <>
        <style jsx>{`
            .chevron::before {
                border-style: solid;
                border-width: 4px 4px 0 0;
                border-color: white;
                content: '';
                display: inline-block;
                height: 0.5em;
                transform: rotate(-45deg);
                vertical-align: baseline;
                width: 0.5em;
                position: relative;
                left: 2px;
            }

            .chevron.left::before {
                transform: rotate(-135deg);
            }
        `}</style>

        <div style={{ cursor: 'pointer', width: '100px' }} onClick={onBackButtonClick}>
            <span className="chevron left"/><span style={{ marginLeft: '10px', color: textColor, fontSize: theme.fontSizes.medium, fontWeight: theme.fontWeights.medium }}>{text}</span>
        </div>
        </>
    )
}

export default MenuBackButton;