import React, { FunctionComponent } from 'react';

import theme from '../../styles/theme';


const Navbar: FunctionComponent = ({ children }) => {
    return (
        <>
        <style jsx>{`
            .navbar-header {
                background: white;
                position: fixed;
                width: 100%;
                border-bottom: 1px solid ${theme.colors.border};
                z-index: 1000;
            }

            .navbar-header-container {
                display: flex;
                align-items: center;
                justify-content: space-between;
                margin-left: auto;
                margin-right: auto;
                padding: 0;
                width: 70%;
                max-width: 1400px;
                height: 70px;
            }
        `}</style>

        <header className="navbar-header">
            <div className="navbar-header-container">
                {children}
            </div>
        </header>
        </>
    );
}

export default Navbar;