import React, { FunctionComponent } from 'react';


type INavbarBoxProp = {
    position: "left" | "right";
}

const NavbarBox: FunctionComponent<INavbarBoxProp> = ({ position, children }) => {
    return (
        <>
        <style jsx>{`
            .navbar-box {
                display: flex;
                flex-basis: 0%;
                flex-shrink: 1;
            }

            .navbar-box.left {
                align-items: center;
                flex-grow: 3;
                justify-content: flex-start;
            }

            .navbar-box.right {
                align-items: stretch;
                flex-grow: 1;
                justify-content: flex-end;
            }
        `}</style>

        <div className={`navbar-box ${position}`}>
            {children}
        </div>
        </>
    );
}

export default NavbarBox;