import React, { FunctionComponent } from 'react';


type INavbarBrandProp = {
    href: string;
    text: string;
}

const NavbarBrand: FunctionComponent<INavbarBrandProp> = ({ href, text }) => {
    return (
        <>
        <style jsx>{`
            .navbar-brand {
                display: flex;
                flex-direction: column;
                justify-content: center;
            }
            
            .navbar-brand > a {
                color: #17120f;
                font-weight: 500;
                text-decoration: none;
                align-items: center;
            }
            
            .navbar-brand > a > h1 {
                font-size: 21px;
                font-weight: 900; 
            }
        `}</style>

        <div className="navbar-brand">
            <a href={href}>
                <h1>{text}</h1>
            </a>
        </div>
        </>
    );
}

export default NavbarBrand;