import React, { FunctionComponent } from 'react';

type IHeadingProp = {
    fontSize: number;
    fontColor: string;
}

const Heading: FunctionComponent<IHeadingProp> = ({ fontSize, fontColor, children }) => {
    return (
        <>
        <style jsx>{`
            .heading {
                padding: 0;
                margin: 0;
                font-size: ${fontSize}px;
                color: ${fontColor};
            }
        `}</style>

        <h1 className="heading">{children}</h1>
        </>
    );
}

export default Heading;