import React, { FunctionComponent } from 'react';

import Paragraph from './Paragraph';

import theme from '../../styles/theme';


type ILabelProp = {
    description: string;
    value: string;
    style?: React.CSSProperties;
}

const Label: FunctionComponent<ILabelProp> = ({ description, value, style }) => {
    return (
        <div style={style}>
            <Paragraph fontSize={theme.fontSizes.small} fontWeight={theme.fontWeights.light}>{description}</Paragraph>
            <Paragraph fontSize={theme.fontSizes.small} fontWeight={theme.fontWeights.regular} fontColor="black">{value}</Paragraph>
        </div>
    );
}

export default Label;