import React, { FunctionComponent } from 'react';
import theme from '../../styles/theme';

type ILinkProp = {
    href: string;
    color?: string;
    hoverColor?: string;
    style?: React.CSSProperties;
}

const Link: FunctionComponent<ILinkProp> = ({ href, color, hoverColor, style, children }) => {
    return (
        <>
        <style jsx>{`
        .link {
            margin: 0;
            padding: 0;
            text-decoration: none;
            color: ${color ?? theme.colors.primary};
            font-size: ${theme.fontSizes.small};
            font-weight: 500;
        }

        .link:hover {
            color: ${hoverColor ?? theme.colors.secondary};
        }
        `}</style>

        <a className="link" style={style} href={href}>{children}</a>
        </>
    )
}

export default Link;