import React, { FunctionComponent } from 'react';
import theme from '../../styles/theme';

type IParagraphProp = {
    fontSize?: number;
    fontColor?: string;
    fontWeight?: number;
    style?: React.CSSProperties;
}

const Paragraph: FunctionComponent<IParagraphProp> = ({ fontSize, fontColor, fontWeight, style, children }) => {
    return (
        <>
        <style jsx>{`
            .paragraph {
                padding: 0;
                margin: 0;
                font-size: ${fontSize ?? theme.fontSizes.medium}px;
                font-weight: ${fontWeight ?? theme.fontWeights.regular};
                color: ${fontColor ?? theme.colors.secondary};
            }
        `}</style>

        <p className="paragraph" style={style}>{children}</p>
        </>
    );
}

export default Paragraph;