import React, { FunctionComponent } from 'react';

import theme from '../../styles/theme';


type ISeparatorProp = {
    text: string;
}

const Separator: FunctionComponent<ISeparatorProp> = ({ text }) => {
    return (
        <>
        <style jsx>{`
            .separator {
                display: flex;
                align-items: center;
                text-align: center;
                color: ${theme.colors.secondary};
                font-size: 18px;
                font-weight: ${theme.fontWeights.light};
                width: 100%;
            }

            .separator::before, .separator::after {
                content: '';
                flex: 1;
                border-bottom: 1px solid ${theme.colors.secondary};
            }

            .separator::before {
                margin-right: 15px;
            }

            .separator::after {
                margin-left: 15px;
            }
        `}</style>

        <div className="separator">
            {text}
        </div>
        </>
    );
}

export default Separator;