import React, { createContext, useContext, useEffect } from 'react';


const AuthContext = createContext({});

export const AuthProvider = ({ children }) => {

    return (
        <AuthContext.Provider value={{ isAuthenticated: true }}>
            {children}
        </AuthContext.Provider>
    )
}

export function useAuth() {
    const context = useContext(AuthContext);

    return context;
}