import React, { FunctionComponent } from 'react';
import '../styles/styles.css';
import { ToastProvider } from 'react-toast-notifications';


export interface LayoutFuntionComponent extends FunctionComponent {
    Layout: FunctionComponent;
}


function EasyMove({ Component, pageProps }) {
    const Layout = Component.Layout ? Component.Layout : React.Fragment;

    return (
        <ToastProvider>
            <Layout>
                <Component {...pageProps}/>
            </Layout>
        </ToastProvider>
    );
}

export default EasyMove;