import React, { FunctionComponent } from 'react';
import Head from 'next/head';

import { FullPageContainer, CenteringContainer } from '../components/containers';
import { Heading, Link } from '../components/text';

import theme from '../styles/theme';


const Index: FunctionComponent = () => {

    return (
        <>
        <Head>
            <title>EasyMove</title>
        </Head>

        <FullPageContainer background={theme.colors.gradientBackground}>
            <CenteringContainer>
                <Heading fontColor='white' fontSize={theme.fontSizes.fat}>EasyMove</Heading>

                <div style={{ height: '50px' }}></div>

                <Heading fontColor='white' fontSize={theme.fontSizes.medium}>Coming soon</Heading>

                <div style={{ height: '50px' }}></div>

                <Link color="black" style={{ fontSize: '21px' }} href="/user/login">Login</Link>
            </CenteringContainer>
        </FullPageContainer>
        </>
    );
}

export default Index;