import React, { useState, useEffect } from 'react';
import { GetServerSideProps } from 'next';
import { useRouter } from 'next/router';
import { useToasts } from 'react-toast-notifications';

import { protectedByLogin } from '../../../utils/protection';

import { LayoutFuntionComponent } from '../../_app';

import { CenteringContainer, SiteWidthContainer, FlexColumnContainer, FlexColumn, Card, LoadingSpinner } from '../../../components/containers';
import { Heading, Label } from '../../../components/text';
import { Button } from '../../../components/input';
import UserLayout from '../../../components/layouts/UserLayout';
import theme from '../../../styles/theme';

import core from '@felixbaum/me.easymove.core';
import { UITab } from '@felixbaum/me.easymove.common/dist/enums/ui';


const Subscribers: LayoutFuntionComponent = () => {
    const [loading, setLoading] = useState(true);
    const router = useRouter();
    const { addToast } = useToasts();

    core.ui.state.CURRENT_TAB.set(UITab.USER_SUBSCRIBERS);

    useEffect(() => {
        core.subscriber.actions.getSubscribersMetadata().then(result => {
            console.log(result);
        }).catch(error => {
            console.log(error);
        });
    }, []);

    return (
        <SiteWidthContainer>
            <FlexColumnContainer>
            <FlexColumn>
                    <Heading fontColor="white" fontSize={theme.fontSizes.big}>Abonnenten</Heading>
                </FlexColumn>

                <FlexColumn>
                    <Button text="Hinzufügen" onClick={() => {}}/>
                </FlexColumn>
            </FlexColumnContainer>
        </SiteWidthContainer>
    );
}

Subscribers.Layout = UserLayout;
export const getServerSideProps: GetServerSideProps = protectedByLogin;
export default Subscribers;