import React, { FunctionComponent } from 'react';
import { GetServerSideProps } from 'next';

import { alreadyLoggedIn } from '../../utils/protection';

import { FullPageContainer, CenteringContainer, Card } from '../../components/containers';
import { Heading, Paragraph } from '../../components/text';

import theme from '../../styles/theme';


const Welcome: FunctionComponent = () => {
    return (
        <FullPageContainer background={theme.colors.gradientBackground}>
            <CenteringContainer>
                <Card style={{ width: '700px' }}>
                    <Heading fontSize={theme.fontSizes.fat} fontColor={theme.colors.primary}>EasyMove</Heading>

                    <Paragraph style={{ marginTop: '50px' }}>
                        Willkommen bei EasyMove!<br/>Wir haben dir einen Aktivierungslink an deine E-Mail-Adresse geschickt. Nutze den Link, um deinen Account zu aktivieren und dich bei EasyMove einzuloggen.
                    </Paragraph>
                </Card>
            </CenteringContainer>
        </FullPageContainer>
    )
}

export const getServerSideProps: GetServerSideProps = alreadyLoggedIn;

export default Welcome;