import { GetServerSidePropsContext } from 'next';
import { parseCookies } from 'nookies';

export async function protectedByLogin(context: GetServerSidePropsContext) {
    const cookies = parseCookies(context);

    if (context.res && (!cookies['__EM_SESSION_TOKEN'] || cookies['__EM_SESSION_TOKEN'] === null|| cookies['__EM_SESSION_TOKEN'] === '')) {
        context.res.writeHead(302, {
            Location: '/user/login',
        });
        context.res.end();
    }
    
    return { props: {  } };
} 

export async function alreadyLoggedIn(context: GetServerSidePropsContext) {
    const cookies = parseCookies(context);

    if (context.res && (cookies['__EM_SESSION_TOKEN'] && cookies['__EM_SESSION_TOKEN'] !== null && cookies['__EM_SESSION_TOKEN'] !== '')) {
        context.res.writeHead(302, {
            Location: '/user/addresses',
        });
        context.res.end();
    }

    return { props: {  } };
} 